Subject: Re: linux-next: manual merge of the refactor-heap tree with the block tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 28 May 2024 11:07:37 +1000

Hi all,

On Thu, 9 May 2024 15:27:45 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the refactor-heap tree got conflicts in:
> 
>   drivers/md/bcache/bset.c
>   drivers/md/bcache/bset.h
>   drivers/md/bcache/btree.c
>   drivers/md/bcache/writeback.c
> 
> between commit:
> 
>   3a861560ccb3 ("bcache: fix variable length array abuse in btree_iter")
> 
> from the block tree and commit:
> 
>   afa5721abaaa ("bcache: Remove heap-related macros and switch to generic min_heap")
> 
> from the refactor-heap tree.
> 
> Ok, these conflicts are too extensive, so I am dropping the refactor-heap
> tree for today.  I suggest you all get together and sort something out.

It looks as though the patches from the refactor-heap tree are now being
carried in the mm-nonmm-unstable branch of the mm tree.  Should I
rmeove the refactor-heap tree from linux-next?  It *will* be dropped for
today at least.
-- 
Cheers,
Stephen Rothwell